-- General utilities

local M = {}

function M.map(mode, lhs, rhs)
  vim.api.nvim_set_keymap(mode, lhs, rhs, {silent = true})
end

function M.nmap(lhs, rhs) M.map("n", lhs, rhs) end
function M.xmap(lhs, rhs) M.map("x", lhs, rhs) end

return M
